## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           cpr
Version:        1.11.2
Release:        %autorelease
Summary:        C++ Requests: Curl for People, a spiritual port of Python Requests

License:        MIT
URL:            https://github.com/libcpr/cpr
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  openssl-devel
BuildRequires:  curl-devel

%description
C++ Requests is a simple wrapper around libcurl inspired by the excellent Python
Requests project.

Despite its name, libcurl's easy interface is anything but, and making mistakes,
misusing it is a common source of error and frustration. Using the more
expressive language facilities of C++17 (or C++11 in case you use cpr < 1.10.0),
this library captures the essence of making network calls into a few concise
idioms.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%cmake -G Ninja \
  -DCMAKE_BUILD_TYPE=Release \
  -DCPR_USE_SYSTEM_CURL=ON

%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libcpr.so.1*

%files devel
%{_includedir}/cpr/
%{_libdir}/libcpr.so
%{_libdir}/cmake/cpr/

%changelog
## START: Generated by rpmautospec
* Sun Feb 23 2025 Packit <hello@packit.dev> - 1.11.2-1
- Update to 1.11.2 upstream release
- Resolves: rhbz#2328529

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 13 2024 Packit <hello@packit.dev> - 1.11.0-1
- Update to 1.11.0 upstream release
- Resolves: rhbz#2318456

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 27 2023 topazus <topazus@outlook.com> - 1.10.5-2
- enable packit only for rawhide and epel 9

* Wed Oct 18 2023 topazus <topazus@outlook.com> - 1.10.5-1
- update to 1.10.5

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 14 2023 topazus <topazus@outlook.com> - 1.10.2-1
- Initial import (rhbz#2186398)
## END: Generated by rpmautospec
